Skip to main content
GET
/
admin
/
api
/
v1
/
Profile
List a page of profiles for the calling client.
curl --request GET \
  --url https://admin-api.meshconnect.com/admin/api/v1/Profile \
  --header 'Authorization: Bearer <token>'
{
  "message": "<string>",
  "displayMessage": "<string>",
  "errorHash": "<string>",
  "teamCode": "<string>",
  "errorType": "<string>",
  "errorData": null,
  "content": {
    "items": [
      {
        "profileId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "catalogConfiguration": {
          "excludeIntegrationCategories": [
            "<string>"
          ],
          "excludeIntegrations": [
            "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          ],
          "integrationWhiteList": [
            "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          ]
        },
        "fundingTokenWhitelist": [
          "<string>"
        ]
      }
    ],
    "total": 123,
    "offset": 123
  }
}

Authorizations

Authorization
string
header
required

Authorization header using the Bearer scheme. Example: "Authorization: Bearer {Value}"

Query Parameters

offset
integer<int32>
default:0

Number of profiles to skip.

count
integer<int32>
default:50

Maximum number of profiles to return.

Response

Page of profiles

status
enum<string>
Available options:
ok,
serverFailure,
permissionDenied,
badRequest,
notFound,
conflict,
tooManyRequest,
locked,
unavailableForLegalReasons
message
string | null

A message generated by the API

displayMessage
string | null

User-friendly display message that can be presented to the end user

errorHash
string | null
read-only

An error grouping hash from string components and caller information. Used by bugsnag on FE for correct error grouping

teamCode
string | null
read-only

Opaque team code for error routing. Resolved from exception origin or caller file path via CODEOWNERS. Format: 2-character code (e.g., "7K", "M2"). Use for alerting/routing, not display.

errorType
string | null

Strictly-typed error type that is explaining the reason of an unsuccessful status of the operation. All possible error types are available in the documentation.

errorData
unknown
content
object

A page of profiles, with the total available count and the offset of this page.